Core - Bug # 55555

Status: Resolved Priority: Should have
TYPO3 Version: 6.2

PHP Version: 54

Complexity: medium

Is Regression: No

Sprint Focus:

Subject: Cleanup EXT/requiredExt handling

Description

Related issues:

related to Core - Epic # 47018: Implement Composer support and clean package ... Resolved 2013-08-28
related to Core - Task # 49162: Rewrite install tool Resolved 2011-10-30
related to Core - Task # 53988: First Time Installation doesn't need a "befor... Resolved 2013-11-26

Associated revisions

Revision 61988173 - 2014-02-01 15:59 - Christian Kuhn

[TASK] Cleanup EXT/requiredExt handling

LocalConfiguration setting EXT/requiredExt was obsoleted with the
new package manger, the setting is removed by the PackageStates
migration code in install tool already.

- Remove further mentions of this setting

- Adapt method in ExtensionManagementUTtility

- Streamline and remove some related units tests

- Move deletion of requiredExt setting to silent update

- Adapt an em view helper to new API

Change-Id: 1€9593c9791893bb4b0714032efbfc06808b0a35
Resolves: #55555

Releases: 6.2

Reviewed-on: https://review.typo3.org/27232

Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
Reviewed-by: Daniel Siepmann
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History

#1 - 2014-02-01 15:10 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/27232
#2 - 2014-02-01 15:11 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/27232

#3 - 2014-02-01 15:19 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27232

#4 - 2014-02-01 16:30 - Christian Kuhn
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:61988f73821e1da33d668b47073d8a9cbad5a8be.
